package com.tiesheng.core.config.web;

import cn.hutool.log.LogFactory;
import com.tiesheng.core.config.token.TokenParse;
import com.tiesheng.core.config.web.bean.CurrentWebUser;
import com.tiesheng.util.exception.ApiRespEnum;
import com.tiesheng.util.pojos.ApiResp;
import org.springframework.context.annotation.Configuration;

/**
 * WEB配置
 *
 * @author hao
 */
@Configuration
public interface TieshengWebConfigurer {


    /**
     * 获取当前用户的姓名
     *
     * @return
     */
    default CurrentWebUser getCurrentUserName() {
        CurrentWebUser webUser = new CurrentWebUser();
        webUser.setId(TokenParse.getWithoutThr().getId());
        return webUser;
    }


    /**
     * 添加其他异常处理
     *
     * @param e 异常
     */
    default ApiResp<String> addExceptionHandler(Exception e) {
        LogFactory.get().info(e);
        return ApiResp.respCust(ApiRespEnum.ServerError);
    }


    /**
     * 添加文件校验
     */
    default void uploadFileCheck(String fileExt) {
    }

}
